#include "iostream"
#include "Application.h"
int main()
{
    bool flag = true;
    while (flag)
    {
        std::cout << "Choose a container to test" << std::endl;
        std::cout << "1. Vector" << std::endl;
        std::cout << "2. List" << std::endl;
        std::cout << "3. Deque" << std::endl;
        int choice;
        std::cin >> choice;
        switch (choice)
        {
        case 1:
        {
            Application <std::vector<int>> app; flag = false;
            app.run();
            break;
        }
        case 2:
        {
            Application <std::list<int>> app; flag = false;
            app.run();
            break;
        }
        case 3:
        {
            Application <std::deque<int>> app; flag = false;
            app.run();
            break;
        }
        default: clearScreen(); std::cout << "Invalid choice." << std::endl; pauseScreen();
        }
    }
    return 0;
}