#include "iostream"
#include "map"
#include "fstream"
#include "vector"
#include "string"

struct Automobile {
    size_t m_id;
    std::string m_surnameOwner;
    size_t m_codeModel;
    std::string m_modelAuto;
    std::string m_gradeFuel;
    size_t m_powerEngine;
    size_t m_volumeTank;
    size_t m_remainderFuel;
    size_t m_volumeOil;
};

std::istream& operator>>(std::istream&, Automobile&);
std::ostream& operator<<(std::ostream&, const Automobile&);
void fileToContainer(const std::string&, std::map<size_t, Automobile>&);
void containerToFile(const std::string&, std::map<size_t, Automobile>&);
void addAutomobile(std::map<size_t, Automobile>&, const Automobile&, const std::string&);
void removeAutomobile(std::map<size_t, Automobile>&, size_t, const std::string&);
void replaceAutomobile(std::map<size_t, Automobile>&, size_t, const Automobile&, const std::string&);
void searchByAutomobileModel(std::map<size_t, Automobile>&, const std::string&, const std::string&);
void searchByFuelGrade(std::map<size_t, Automobile>&, const std::string&, const std::string&);
void searchByEnginePower(std::map<size_t, Automobile>&, const std::string&, size_t);
void convertBinaryToTextFile(std::map<size_t, Automobile>&, const std::string&);
void writeStringToFile(std::ofstream&, const std::string&);
void readStringFromFile(std::ifstream&, std::string&);
